import { MarkRequired, BaseOptions } from '@vue-macros/common';
import { UnpluginInstance } from 'unplugin';

type Options = BaseOptions & {
	vapor?: boolean
};
type OptionsResolved = MarkRequired<Options, "include" | "version">;
declare const plugin: UnpluginInstance<Options | undefined, false>;

export { type Options, type OptionsResolved, plugin as default };
